import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { L as ListPublishedSiteUrlsOptions, a as ListPublishedSiteUrlsResponse } from './urls-api-v2-published-site-urls-site.universal-DsMEwAc2.js';
export { F as Filters, d as ListPublishedSiteUrlsRequest, M as MultilingualInfo, P as PublishedSiteUrls, c as Url, U as UrlType, b as UrlTypeFilter } from './urls-api-v2-published-site-urls-site.universal-DsMEwAc2.js';

declare function listPublishedSiteUrls$1(httpClient: HttpClient): ListPublishedSiteUrlsSignature;
interface ListPublishedSiteUrlsSignature {
    /**
     * Retrieves a list of a site's published URLs.
     * If a site hasn't been published, the call returns an empty array.
     */
    (options?: ListPublishedSiteUrlsOptions | undefined): Promise<ListPublishedSiteUrlsResponse>;
}

declare const listPublishedSiteUrls: MaybeContext<BuildRESTFunction<typeof listPublishedSiteUrls$1> & typeof listPublishedSiteUrls$1>;

export { ListPublishedSiteUrlsOptions, ListPublishedSiteUrlsResponse, listPublishedSiteUrls };
