"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  UrlType: () => UrlType,
  UrlTypeFilter: () => UrlTypeFilter,
  listPublishedSiteUrls: () => listPublishedSiteUrls4
});
module.exports = __toCommonJS(index_exports);

// src/urls-api-v2-published-site-urls-site.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/urls-api-v2-published-site-urls-site.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressUrlsApiV2UrlsApiUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/urls-server",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/urls-server",
        destPath: "/api"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/urls-server",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/urls-server/v2/published-site-urls",
        destPath: "/v2/published-site-urls"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_urls_site";
function listPublishedSiteUrls(payload) {
  function __listPublishedSiteUrls({ host }) {
    const metadata = {
      entityFqdn: "wix.urls.api.v2.published_site_urls",
      method: "GET",
      methodFqn: "com.wixpress.urls.api.v2.UrlsApi.ListPublishedSiteUrls",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressUrlsApiV2UrlsApiUrl({
        protoPath: "/v2/published-site-urls",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __listPublishedSiteUrls;
}

// src/urls-api-v2-published-site-urls-site.universal.ts
var UrlType = /* @__PURE__ */ ((UrlType2) => {
  UrlType2["UNKNOWN"] = "UNKNOWN";
  UrlType2["PREMIUM"] = "PREMIUM";
  UrlType2["FREE"] = "FREE";
  return UrlType2;
})(UrlType || {});
var UrlTypeFilter = /* @__PURE__ */ ((UrlTypeFilter2) => {
  UrlTypeFilter2["ALL"] = "ALL";
  UrlTypeFilter2["PREMIUM"] = "PREMIUM";
  UrlTypeFilter2["FREE"] = "FREE";
  return UrlTypeFilter2;
})(UrlTypeFilter || {});
async function listPublishedSiteUrls2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    filters: options?.filters
  });
  const reqOpts = listPublishedSiteUrls(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { filters: "$[0].filters" },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/urls-api-v2-published-site-urls-site.public.ts
function listPublishedSiteUrls3(httpClient) {
  return (options) => listPublishedSiteUrls2(
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/urls-api-v2-published-site-urls-site.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var listPublishedSiteUrls4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(listPublishedSiteUrls3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  UrlType,
  UrlTypeFilter,
  listPublishedSiteUrls
});
//# sourceMappingURL=index.js.map