// src/urls-api-v2-published-site-urls-site.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressUrlsApiV2UrlsApiUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/urls-server",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/urls-server",
        destPath: "/api"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/urls-server",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/urls-server/v2/published-site-urls",
        destPath: "/v2/published-site-urls"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_urls_site";
function listPublishedSiteUrls(payload) {
  function __listPublishedSiteUrls({ host }) {
    const metadata = {
      entityFqdn: "wix.urls.api.v2.published_site_urls",
      method: "GET",
      methodFqn: "com.wixpress.urls.api.v2.UrlsApi.ListPublishedSiteUrls",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressUrlsApiV2UrlsApiUrl({
        protoPath: "/v2/published-site-urls",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __listPublishedSiteUrls;
}

// src/urls-api-v2-published-site-urls-site.meta.ts
function listPublishedSiteUrls2() {
  const payload = {};
  const getRequestOptions = listPublishedSiteUrls(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/published-site-urls",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  listPublishedSiteUrls2 as listPublishedSiteUrls
};
//# sourceMappingURL=meta.mjs.map